PortAudio 2.0

Data Structures | Macros | Functions
paex_mono_asio_channel_select.c File Reference
Example programs demonstrating PortAudio usage

Play a monophonic sine wave on a specific ASIO channel. More...

`#include <stdio.h>`
`#include <math.h>`
`#include "portaudio.h"`
`#include "pa_asio.h"`

Go to the source code of this file.

## Data Structures
struct | paTestData

## Macros
#define | NUM_SECONDS (10)
#define | SAMPLE_RATE (44100)
#define | AMPLITUDE (0.8)
#define | FRAMES_PER_BUFFER (64)
#define | OUTPUT_DEVICE Pa_GetDefaultOutputDevice()
#define | M_PI (3.14159265)
#define | TABLE_SIZE (200)

## Functions
int | main (void)

## Detailed Description

Play a monophonic sine wave on a specific ASIO channel.

Author
  Ross Bencina rossb.nosp@m.@aud.nosp@m.iomul.nosp@m.ch.c.nosp@m.om
  Phil Burk philb.nosp@m.urk@.nosp@m.softs.nosp@m.ynth.nosp@m..com

Definition in file paex_mono_asio_channel_select.c.

## Macro Definition Documentation

## ◆ AMPLITUDE

#define AMPLITUDE (0.8)

Definition at line 56 of file paex_mono_asio_channel_select.c.

## ◆ FRAMES_PER_BUFFER

#define FRAMES_PER_BUFFER (64)

Definition at line 57 of file paex_mono_asio_channel_select.c.

## ◆ M_PI

#define M_PI (3.14159265)

Definition at line 61 of file paex_mono_asio_channel_select.c.

## ◆ NUM_SECONDS

#define NUM_SECONDS (10)

Definition at line 54 of file paex_mono_asio_channel_select.c.

## ◆ OUTPUT_DEVICE

#define OUTPUT_DEVICE Pa_GetDefaultOutputDevice()

Definition at line 58 of file paex_mono_asio_channel_select.c.

## ◆ SAMPLE_RATE

#define SAMPLE_RATE (44100)

Definition at line 55 of file paex_mono_asio_channel_select.c.

## ◆ TABLE_SIZE

#define TABLE_SIZE (200)

Definition at line 64 of file paex_mono_asio_channel_select.c.

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Definition at line 101 of file paex_mono_asio_channel_select.c.